<?
/*
=====================================================
 Volkov NET!! - by SaNcHeS Group 
-----------------------------------------------------
 http://AllForCS.RU/
-----------------------------------------------------
 Copyright (c) 2009 SaNcHeS Group
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Файл: index.php
-----------------------------------------------------
 Назначение: Главная страница
=====================================================
*/
include("./../inc/config.php");
include("./auth.php");
include("./html.php");
include("./../inc/info.php");

echo $HEAD;
echo $JS_POPUP;
echo $STYLE;
echo $BODY;

$form_pass=<<<vivod
<form name="new_pass" action="index.php?event=newpass" method="post">
<table cellpadding="0" cellspacing="0" width="185">
<tr><td height="22"><p><b>Старый пароль:</b></p>
</td><td><p align="right"><input type="password" name="old_pass" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Новый пароль:</b></p>
</td><td><p align="right"><input type="password" name="new_pass" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Повторите:</b></p>
</td><td><p align="right"><input type="password" name="re_pass" maxlength="15" size="13"></p>
</td></tr>
<tr><td height="26" colspan="2"><p align="right"><input type="reset" value="Сбросить" name="rezet">&nbsp;<input type="submit" value="Сменить" name="ok"></p></td></tr>
</table></form>
vivod;




if ($_GET['event'] == 'newpass'){
        if ($_POST['ok']){
       if ($_POST['new_pass'] == ""){$error.="<font color=#DE1212>Незаполнен новый пароль!</font><br>";}
       if (md5($_POST['old_pass']) != $password){$error.="<font color=#DE1212>Неверный старый пароль!</font><br>";}
       if ($_POST['new_pass'] != $_POST['re_pass']){$error.="<font color=#DE1212>Повторный пароль не совпадает!</font><br>";}
       if (isset($error)){echo $error;echo "<br>".$form_pass;}else
                       {
            $filename = "./passwd.php";
                        $fd = fopen ($filename, 'r');
                        $contents = fread ($fd, filesize ($filename));
                        fclose ($fd);

                        $Search = '"'.$username.'" => "'.$password.'"';
                        $Replace = '"'.$username.'" => "'.md5($_POST['new_pass']).'"';
                        $contents = str_replace($Search,$Replace,$contents);
                        $fd = fopen ($filename, 'w');
                        fwrite ($fd, $contents);
                        fclose ($fd);
                        echo "<font color=#00A61D>Пароль успешно изменен!</font>";
                       }
        }else{echo $form_pass;}
}


if ($_GET['event'] == 'adm'){
print <<<vivod
<a href="index.php?event=newadm">Добавить администратора</a><br>
<a href="index.php?event=del">Удалить администратора</a><br>
<a href="index.php?event=newpass">Сменить пароль</a><br>
vivod;
}

if (!$_GET['event']){
print <<<vivod
&nbsp; &nbsp;<b><font color=green>Добро пожаловать в User Panel!</b></font> Здесь вы сможете: <br><br>
&nbsp; <b>• Закачать музыку на сайт</b><br>
&nbsp; <b>• Отослать личное сообщение любому зарегестрированному участнику сайта.</b>

vivod;
}



echo $FOOT;
@mysql_free_result();
@mysql_close();
?>